<template>
  <div class="comment-card">
      <div class="comment-info">
        <h1 class="name">{{ comment.name }}</h1>
        <p class="email">{{ comment.email }}</p>
        <p class="body">{{ comment.body }}</p>
      </div>
      <div class="actions-wrapper">
          <i data-test="btn-delete" @click="emitDeleteComment(comment.id)" class="fas fa-trash"></i>
          <i data-test="btn-edit" @click="emitFillForm(comment)" class="fas fa-edit"></i>
      </div>
  </div>
</template>

<script>
export default {
    name: 'CommentItem',
    props: {
        comment: Object
    },
    methods: {
        emitDeleteComment(id) {
            this.$emit('delete-comment', id)
        },
        emitFillForm(comment) {
            this.$emit('fill-form', comment)
        }
    }
}
</script>

<style scoped>
    .comment-card {
        background: white;
        display: flex;
        gap: 5px;
        width: 100%;
        margin: auto;
        border-radius: 4px;
        box-shadow: 5px 5px 10px lightgray;
        border-left: 5px solid rgb(162, 223, 143);
        padding: 1rem;
        background: rgb(94, 199, 223);
        background: linear-gradient(90deg, rgba(69,175,200,0.2721463585434174) 0%, rgba(197,238,238,0.5298494397759104) 100%);
    }

    .name {
        color: navy;
    }

    .email {
        margin: .5rem 0;
        color: darkslategrey;
        text-align: justify;
    }

    .body {
        font-weight: 600;
        letter-spacing: 1px;
        color: darkslategrey;
    }

    .actions-wrapper {
        right: 1rem;
        top: 1rem;
        display: flex;
        flex-direction: column;
        gap: .5rem;
    }

    .actions-wrapper i {
        font-size: 1.2rem;
        cursor: pointer;
    }

    .comment-info {
        flex-grow: 1;
    }

    .fa-trash {
        color: brown;
    }

    .fa-trash:hover {
        color: lightcoral;
    }

    .fa-edit {
        color: orange;
    }

    .fa-edit:hover {
        color: darkorange;
    }

    @media screen and (min-width: 1024px) {
        .comment-card {
            width: 60%;
        }
    }
    
</style>